Subject: Mycology books

From: [email-masked] (Brian Sherry)
Date: 28 Apr 1996 21:00:49 GMT

The Outdoor Bookstore has a new list of mycology books in our latest online 
catalog of out-of-print natural history books.  They can be viewed at 
http://www.outdoorbooks.com

Thanks,
Brian
-- 
******************************************************************
Brian Sherry                                The Outdoor Bookstore        
e-mail: [email-masked]                  1425 S. Higgins
phone: 406-543-3663                        Missoula, Montana 59851
on-line catalog of new & used books - http://www.outdoorbooks.com/